Bug 9357 - Missing 'c' option in LEADER_18 value builder
Summary: Missing 'c' option in LEADER_18 value builder
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Bernardo Gonzalez Kriegel
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 9358
  Show dependency treegraph
 
Reported: 2013-01-07 15:59 UTC by Bernardo Gonzalez Kriegel
Modified: 2014-05-26 21:04 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9357: Missing 'c' option in LEADER_18 value builder (4.33 KB, patch)
2013-01-07 16:03 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 9357: Missing 'c' option in MARC21 LEADER_18 value builder (3.92 KB, patch)
2013-01-07 16:38 UTC, Galen Charlton
Details | Diff | Splinter Review
[Passed QA] Bug 9357: Missing 'c' option in MARC21 LEADER_18 value builder (4.01 KB, patch)
2013-01-18 20:00 UTC, Elliott Davis
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2013-01-07 15:59:54 UTC
MARC21 LEADER value builder lacks option 'c' in position 18

18 - Descriptive cataloging form
# - Non-ISBD
a - AACR 2
c - ISBD punctuation omitted
i - ISBD punctuation included
u - Unknown
(from http://www.loc.gov/marc/bibliographic/bdleader.html)
Comment 1 Bernardo Gonzalez Kriegel 2013-01-07 16:03:38 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-01-07 16:15:11 UTC
To test (MARC21)

1) Go to Administration > Cataloguing > Add MARC Record
2) New record, and click on leader value builder plugin
3) For position 18, 'c' option is missing
4) apply the patch, reload plugin window
5) now option 'c' is present.
Comment 3 Galen Charlton 2013-01-07 16:22:41 UTC
This bug is a subset of bug 9358.
Comment 4 Galen Charlton 2013-01-07 16:38:05 UTC Comment hidden (obsolete)
Comment 5 Elliott Davis 2013-01-18 20:00:48 UTC
Created attachment 14712 [details] [review]
[Passed QA] Bug 9357: Missing 'c' option in MARC21 LEADER_18 value builder

This patch adds option 'c' to the position 18
of the leader value builder.
Also corrects label for option 'i'

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Elliott Davis <elliott@bywatersolions.com>
Works as described
Comment 6 Jared Camins-Esakov 2013-01-19 00:10:27 UTC
This patch has been pushed to master.
Comment 7 Chris Cormack 2013-02-01 08:14:32 UTC
Pushed to 3.10.x and 3.8.x, will be in 3.10.3 and 3.8.10